StreamEvent.Type (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.streaming

## Enum StreamEvent.Type

- java.lang.Object
- - java.lang.Enum<StreamEvent.Type>
  - - org.apache.cassandra.streaming.StreamEvent.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StreamEvent.Type>
  Enclosing class:
    StreamEvent

      public static enum StreamEvent.Type
      extends java.lang.Enum<StreamEvent.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE_PROGRESS`
    `STREAM_COMPLETE`
    `STREAM_PREPARED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreamEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StreamEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STREAM_PREPARED

          public static final StreamEvent.Type STREAM_PREPARED

    - #### STREAM_COMPLETE

          public static final StreamEvent.Type STREAM_COMPLETE

    - #### FILE_PROGRESS

          public static final StreamEvent.Type FILE_PROGRESS

  - ### Method Detail

    - #### values

          public static StreamEvent.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreamEvent.Type c : StreamEvent.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreamEvent.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation